#!/bin/sh

mkdir -p deploy/love

# make sure we have löve
cd deploy/love
if [ ! -e love-0.8.0-win-x86.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-win-x86.zip
    unzip love-0.8.0-win-x86.zip || exit 1
fi
if [ ! -e love-0.8.0-macosx-ub.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-macosx-ub.zip
    unzip love-0.8.0-macosx-ub.zip || exit 1
fi
cd ../..

# make the love file
V=`bzr version-info --custom --template={revno}`
echo "VERSION = '$V'" >version.lua
rm -f deploy/OneAmongMany.love
bzr ls -RV |zip -q@ deploy/OneAmongMany.love
bzr revert --no-backup version.lua

cd deploy

# package win32
rm -rf OneAmongMany-win32 OneAmongMany-win32.zip
mkdir OneAmongMany-win32
cat love/love-0.8.0-win-x86/love.exe OneAmongMany.love >OneAmongMany-win32/OneAmongMany.exe
cp love/love-0.8.0-win-x86/*.dll OneAmongMany-win32
# TODO: this is a spot I could copy a README, LICENSE, or VERSION file in.
zip -qr OneAmongMany-win32.zip OneAmongMany-win32

# package osx
rm -rf "One Among Many.app" OneAmongMany-macosx.zip
cp -r love/love.app "One Among Many.app"
cp OneAmongMany.love "One Among Many.app"/Contents/Resources/
cp ../Info.plist "One Among Many.app"/Contents/
zip -qry OneAmongMany-macosx.zip "One Among Many.app"

cd ..
